#
View Source Mix.Mermaid (ash v2.4.22)

Mermaid Diagram helper functions.

# Link to this section Summary

## Functions

config()

Generate the option string for a mermaid config file if it exists.

create_diagram(file, markdown)

Generate a Mermaid diagram using the CLI.

file(source, suffix, extension)

Generate a diagram filename next to the source file.

generate_diagram(source, suffix, format, markdown, message)

# Link to this section Functions

Link to this function

# config()

View Source

Generate the option string for a mermaid config file if it exists.

Link to this function

# create_diagram(file, markdown)

View Source

Generate a Mermaid diagram using the CLI.

For more info see https://github.com/mermaid-js/mermaid-cli

Link to this function

# file(source, suffix, extension)

View Source

Generate a diagram filename next to the source file.

Link to this function

# generate_diagram(source, suffix, format, markdown, message)

View Source